org.apache.flume.channel.file

## Class TransactionEventRecord

- java.lang.Object
- - org.apache.flume.channel.file.TransactionEventRecord

-     @InterfaceAudience.Private
      @InterfaceStability.Unstable
      public abstract class TransactionEventRecord
      extends Object

  Base class for records in data file: Put, Take, Rollback, Commit

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TransactionEventRecord(long transactionID, long logWriteOrderID)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `readFields(DataInput in)` Deserialize the fields of this object from `in`
    `void` | `write(DataOutput out)` Serialize the fields of this object to `out`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionEventRecord

          protected TransactionEventRecord(long transactionID,
                                long logWriteOrderID)

  - ### Method Detail

    - #### readFields

          public void readFields(DataInput in)
                          throws IOException

      Deserialize the fields of this object from `in`
      Parameters:
        `in` - `DataInput` to deserialize this object from.
      Throws:
        `IOException`

    - #### write

          public void write(DataOutput out)
                     throws IOException

      Serialize the fields of this object to `out`
      Parameters:
        `out` - `DataOutput` to serialize this object into.
      Throws:
        `IOException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.